# Class default

Class representing the settings UI handler for keyboards.

#### Hierarchy (view full)

- default
  - default

- Defined in src/ui/settings/settings-keyboard-ui-handler.ts:24

#####
Index

### Constructors

constructor

### Properties

actionsBg
active
bindingSettings
commonSettingsCount
configs
cursor
cursorObj
device
inputsIcons
keys
layout
localStoragePropertyName
mode
navigationContainer
navigationIcons
optionCursors
optionValueLabels
optionsBg
optionsContainer
rowsToDisplay
scene
scrollCursor
setSetting
setting
settingBlacklisted
settingDeviceDefaults
settingDeviceOptions
settingLabels
settingsContainer
textureOverride
titleSelected

### Methods

clear
eraseCursor
getActiveConfig
getCursor
getLocalStorageSetting
getTextColor
getUi
onDeleteDown
onHomeDown
processInput
resetScroll
saveCustomKeyboardMappingToLocalStorage
saveSettingToLocalStorage
setCursor
setLayout
setOptionCursor
setScrollCursor
setup
show
updateBindings
updateChosenKeyboardDisplay
updateNavigationDisplay
updateSettingsScroll

## Constructors

### constructor

- new default(scene, mode?): default

- Creates an instance of SettingsKeyboardUiHandler.

  #### Parameters

  - scene: default

    The BattleScene instance.

  - `Optional` mode: Mode

    The UI mode, optional.

  #### Returns default

  Overrides default.constructor

  - Defined in src/ui/settings/settings-keyboard-ui-handler.ts:31

## Properties

### `Protected` actionsBg

actionsBg: NineSlice

Inherited from default.actionsBg

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:38

### active

active: boolean = false

Inherited from default.active

- Defined in src/ui/ui-handler.ts:13

### `Protected` bindingSettings

bindingSettings: String[]

Inherited from default.bindingSettings

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:52

### `Protected` commonSettingsCount

commonSettingsCount: any

Inherited from default.commonSettingsCount

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:59

### `Protected` configs

configs: any

Inherited from default.configs

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:58

### `Protected` cursor

cursor: number = 0

Inherited from default.cursor

- Defined in src/ui/ui-handler.ts:12

### `Protected` cursorObj

cursorObj: NineSlice

Inherited from default.cursorObj

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:35

### `Protected` device

device: Device

Inherited from default.device

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:64

### `Protected` inputsIcons

inputsIcons: InputsIcons

Inherited from default.inputsIcons

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:46

### `Protected` keys

keys: String[]

Inherited from default.keys

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:49

### `Protected` layout

layout: Map<string, LayoutConfig > = ...

Inherited from default.layout

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:44

### `Protected` localStoragePropertyName

localStoragePropertyName: any

Inherited from default.localStoragePropertyName

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:62

### `Protected` mode

mode: number

Inherited from default.mode

- Defined in src/ui/ui-handler.ts:11

### `Protected` navigationContainer

navigationContainer: default

Inherited from default.navigationContainer

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:31

### `Protected` navigationIcons

navigationIcons: InputsIcons

Inherited from default.navigationIcons

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:47

### `Protected` optionCursors

optionCursors: number[]

Inherited from default.optionCursors

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:34

### `Protected` optionValueLabels

optionValueLabels: Text[][]

Inherited from default.optionValueLabels

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:41

### `Protected` optionsBg

optionsBg: NineSlice

Inherited from default.optionsBg

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:37

### `Protected` optionsContainer

optionsContainer: Container

Inherited from default.optionsContainer

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:30

### `Protected` rowsToDisplay

rowsToDisplay: number

Inherited from default.rowsToDisplay

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:63

### `Protected` scene

scene: default

Inherited from default.scene

- Defined in src/ui/ui-handler.ts:10

### `Protected` scrollCursor

scrollCursor: number

Inherited from default.scrollCursor

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:33

### setSetting

setSetting: ((scene, setting, value) => boolean) = setSettingKeyboard

#### Type declaration

- - (scene, setting, value): boolean

  - #### Parameters

    - scene: default
    - setting: SettingKeyboard
    - value: number

    #### Returns boolean

Overrides default.setSetting

- Defined in src/ui/settings/settings-keyboard-ui-handler.ts:50

### `Protected` setting

setting: any

Inherited from default.setting

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:54

### `Protected` settingBlacklisted

settingBlacklisted: any

Inherited from default.settingBlacklisted

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:55

### `Protected` settingDeviceDefaults

settingDeviceDefaults: any

Inherited from default.settingDeviceDefaults

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:56

### `Protected` settingDeviceOptions

settingDeviceOptions: any

Inherited from default.settingDeviceOptions

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:57

### `Protected` settingLabels

settingLabels: Text[]

Inherited from default.settingLabels

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:40

### `Protected` settingsContainer

settingsContainer: Container

Inherited from default.settingsContainer

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:29

### `Protected` textureOverride

textureOverride: any

Inherited from default.textureOverride

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:60

### `Protected` titleSelected

titleSelected: any

Inherited from default.titleSelected

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:61

## Methods

### clear

- clear(): void

- Clear the UI elements and state.

  #### Returns void

  Inherited from default.clear

  - Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:637

### eraseCursor

- eraseCursor(): void

- Erase the cursor from the UI.

  #### Returns void

  Inherited from default.eraseCursor

  - Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:650

### getActiveConfig

- getActiveConfig(): InterfaceConfig

- Get the active configuration.

  #### Returns InterfaceConfig

  The active configuration for current device

  Inherited from default.getActiveConfig

  - Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:269

### getCursor

- getCursor(): number

- #### Returns number

  Inherited from default.getCursor

  - Defined in src/ui/ui-handler.ts:42

### getLocalStorageSetting

- getLocalStorageSetting(): object

- #### Returns object

  Inherited from default.getLocalStorageSetting

  - Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:80

### getTextColor

- getTextColor(style, shadow?): string

- #### Parameters

  - style: TextStyle
  - shadow: boolean = false

  #### Returns string

  Inherited from default.getTextColor

  - Defined in src/ui/ui-handler.ts:38

### getUi

- getUi(): default

- #### Returns default

  Inherited from default.getUi

  - Defined in src/ui/ui-handler.ts:34

### onDeleteDown

- onDeleteDown(): void

- Handle the delete key press event.

  #### Returns void

  - Defined in src/ui/settings/settings-keyboard-ui-handler.ts:99

### onHomeDown

- onHomeDown(): void

- Handle the home key press event.

  #### Returns void

  - Defined in src/ui/settings/settings-keyboard-ui-handler.ts:88

### processInput

- processInput(button): boolean

- Process the input for the given button.

  #### Parameters

  - button: Button

    The button to process.

  #### Returns boolean

  `true` if the input was processed successfully.

  Inherited from default.processInput

  - Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:412

### resetScroll

- resetScroll(): void

- #### Returns void

  Inherited from default.resetScroll

  - Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:511

### saveCustomKeyboardMappingToLocalStorage

- saveCustomKeyboardMappingToLocalStorage(config): void

- Save the custom keyboard mapping to local storage.

  #### Parameters

  - config: any

    The configuration to save.

  #### Returns void

  - Defined in src/ui/settings/settings-keyboard-ui-handler.ts:168

### saveSettingToLocalStorage

- saveSettingToLocalStorage(settingName, cursor): void

- Save the setting to local storage.

  #### Parameters

  - settingName: any

    The name of the setting to save.

  - cursor: any

    The cursor position to save.

  #### Returns void

  Overrides default.saveSettingToLocalStorage

  - Defined in src/ui/settings/settings-keyboard-ui-handler.ts:178

### setCursor

- setCursor(cursor): boolean

- Set the cursor to the specified position.

  #### Parameters

  - cursor: number

    The cursor position to set.

  #### Returns boolean

  `true` if the cursor was set successfully.

  Inherited from default.setCursor

  - Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:526

### setLayout

- setLayout(activeConfig): boolean

- Set the layout for the active configuration.

  #### Parameters

  - activeConfig: InterfaceConfig

    The active keyboard configuration.

  #### Returns boolean

  `true` if the layout was successfully applied, otherwise `false`.

  Overrides default.setLayout

  - Defined in src/ui/settings/settings-keyboard-ui-handler.ts:122

### setOptionCursor

- setOptionCursor(settingIndex, cursor, save?): boolean

- Set the option cursor to the specified position.

  #### Parameters

  - settingIndex: number

    The index of the setting.

  - cursor: number

    The cursor position to set.

  - `Optional` save: boolean

    Whether to save the setting to local storage.

  #### Returns boolean

  `true` if the option cursor was set successfully.

  Inherited from default.setOptionCursor

  - Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:578

### setScrollCursor

- setScrollCursor(scrollCursor): boolean

- Set the scroll cursor to the specified position.

  #### Parameters

  - scrollCursor: number

    The scroll cursor position to set.

  #### Returns boolean

  `true` if the scroll cursor was set successfully.

  Inherited from default.setScrollCursor

  - Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:552

### setup

- setup(): void

- Setup UI elements.

  #### Returns void

  Overrides default.setup

  - Defined in src/ui/settings/settings-keyboard-ui-handler.ts:55

### show

- show(args): boolean

- Show the UI with the provided arguments.

  #### Parameters

  - args: any[]

    Arguments to be passed to the show method.

  #### Returns boolean

  `true` if successful.

  Inherited from default.show

  - Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:348

### updateBindings

- updateBindings(): void

- Update the bindings for the current active device configuration.

  #### Returns void

  Inherited from default.updateBindings

  - Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:276

### updateChosenKeyboardDisplay

- updateChosenKeyboardDisplay(): void

- Update the display of the chosen keyboard layout.

  #### Returns void

  - Defined in src/ui/settings/settings-keyboard-ui-handler.ts:139

### updateNavigationDisplay

- updateNavigationDisplay(): void

- #### Returns void

  Inherited from default.updateNavigationDisplay

  - Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:318

### updateSettingsScroll

- updateSettingsScroll(): void

- Update the scroll position of the settings UI.

  #### Returns void

  Inherited from default.updateSettingsScroll

  - Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:612